Bug 81769 - option to disable zmodem
Summary: option to disable zmodem
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-17 22:12 UTC by Jonathan Felder
Modified: 2005-03-29 05:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Felder 2004-05-17 22:12:13 UTC
Version:            (using KDE KDE 3.2.1)
Installed from:    SuSE RPMs

I prefer to use zssh to handle zmodem transfers.  While I applaud the addition of additional features in konsole, it'd be nice to have configuration options to turn off the additional features if they are not desired.

The reasons I'd rather not use the konsole zmodem functionality are:

1.  There's no progress display for the file transfer.
2.  Files have a habit of not going where you save them.  For example, for a file named "file" if I'm logged into a remote server and type sz file...the dialogue pops up and asks where to save it.  If I type /home/username/bin/file the file goes to /home/username/file

Rather than request the above changes, it'd be better I think to allow the user to choose their own zmodem functionality should they wish behavior different than what konsole provides.
Comment 1 Jonathan Felder 2004-05-17 22:13:28 UTC
Woops sorry...I meant to select wish for this and not bug.
Comment 2 Kurt Hindenburg 2005-03-22 08:00:42 UTC
According to the README.kiosk you should be able to put this in konsolerc:

[KDE Action Restrictions]
action_zmodem_upload=false

I'll have to test this to see if it works.

Personally, I'd like to remove zmodem from Konsole.

Comment 3 Kurt Hindenburg 2005-03-29 05:03:04 UTC
Put this in your konsolerc:

[KDE Action Restrictions]
action/zmodem_upload=false
zmodem_download=false

The first line will remove the Edit->ZModem Upload item; the second line will prevent konsole from recognizing zmodem transfers.

Comment 4 Kurt Hindenburg 2005-03-29 05:08:07 UTC
CVS commit by hindenburg: 

Allow user to disable ZModem upload and download via kiosk.

[KDE Action Restrictions] 
action/zmodem_upload=false 
zmodem_download=false 

FEATURE: 81769


  M +13 -4     konsole.cpp   1.524


--- kdebase/konsole/konsole/konsole.cpp  #1.523:1.524
@@ -495,6 +495,8 @@ void Konsole::makeGUI()
       m_edit->insertItem( i18n("&Send Signal"), m_signals );
 
+   if ( m_zmodemUpload ) {
    m_edit->insertSeparator();
    m_zmodemUpload->plug( m_edit );
+   }
 
    m_edit->insertSeparator();
@@ -1025,6 +1027,11 @@ void Konsole::makeBasicGUI()
   m_renameSession = new KAction(i18n("&Rename Session..."), Qt::CTRL+Qt::ALT+Qt::Key_S, this,
                                 SLOT(slotRenameSession()), m_shortcuts, "rename_session");
-  m_zmodemUpload = new KAction(i18n("&ZModem Upload..."), Qt::CTRL+Qt::ALT+Qt::Key_U, this,
-                                SLOT(slotZModemUpload()), m_shortcuts, "zmodem_upload");
+
+  if (kapp->authorizeKAction("zmodem_upload"))
+    m_zmodemUpload = new KAction( i18n( "&ZModem Upload..." ), 
+                                  Qt::CTRL+Qt::ALT+Qt::Key_U, this,
+                                  SLOT( slotZModemUpload() ), 
+                                  m_shortcuts, "zmodem_upload" );
+
   monitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), "idea", 0, this,
                                         SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_activity" );
@@ -3778,4 +3785,6 @@ void Konsole::slotZModemUpload()
 void Konsole::slotZModemDetected(TESession *session)
 {
+  if (!kapp->authorize("zmodem_download")) return;
+
   if(se != session)
     activateSession(session);